--- Thread

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['farming:cotton'] = 1,
   },
   output = 'furniture:thread_white',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['xdecor:cobweb'] = 1,
   },
   output = 'furniture:thread_white',
})

--- String

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['farming:cotton'] = 1,
   },
   output = 'farming:string',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['farming:hemp_fibre'] = 1,
   },
   output = 'farming:string',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['bakedclay:mannagrass'] = 1,
   },
   output = 'farming:string',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['default:junglegrass'] = 1,
   },
   output = 'farming:string',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['xdecor:cobweb'] = 1,
   },
   output = 'farming:string',
})

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['group:wool'] = 1,
   },
   output = 'farming:string 4',
})

--- Rope

local rope_items = {'farming:cotton', 'farming:hemp_fibre', 'bakedclay:mannagrass', 'default:junglegrass', 'xdecor:cobweb', 'farming:string'}

for i = 1, 6 do
      stations.dual_register_recipe('spinning_wheel', {
      input = {
         [(rope_items[i])] = 5,
      },
      output = 'ropes:ropesegment',
   })
end

stations.dual_register_recipe('spinning_wheel', {
   input = {
      ['group:wool'] = 1,
   },
   output = 'ropes:ropesegment',
})
